---@meta

---@class PlayerModel : Model
PlayerModel = {
	--- Refreshes the model's display.
	--- @example
	--- myPlayerModel:RefreshUnit()
	RefreshUnit = function(self) end,

	--- Sets the model to display a specific creature.
	--- @param creatureID number The ID of the creature to display.
	--- @example
	--- myPlayerModel:SetCreature(12345)
	SetCreature = function(self, creatureID) end,

	--- Sets the model's rotation.
	--- @param rotation number The rotation in radians.
	--- @example
	--- myPlayerModel:SetRotation(math.pi)
	SetRotation = function(self, rotation) end,

	--- Sets the model to display a specific unit.
	--- @param unit string The unit ID to display.
	--- @example
	--- myPlayerModel:SetUnit("player")
	SetUnit = function(self, unit) end,
}
